| GateEvent |

    1   /*
    2    *  Copyright (c) 1998-2001, The University of Sheffield.
    3    *
    4    *  This file is part of GATE (see http://gate.ac.uk/), and is free
    5    *  software, licenced under the GNU Library General Public License,
    6    *  Version 2, June 1991 (in the distribution as file licence.html,
    7    *  and also available at http://gate.ac.uk/gate/licence.html).
    8    *
    9    *  Valentin Tablan 08/03/2001
    10   *
    11   *  $Id: GateEvent.java,v 1.3 2001/10/21 13:26:25 kalina Exp $
    12   */
    13  package gate.event;
    14
    15  import java.util.EventObject;
    16
    17  /**
    18   * The top level event class for all the event types fired by the Gate system.
    19   */
    20  public class GateEvent extends EventObject {
    21
    22    public static final int FEATURES_UPDATED = 701;
    23
    24    /**
    25     * Constructor from source and type.
    26     * @param source the object that initiated this event
    27     * @param type the type on the event.
    28     */
    29    public GateEvent(Object source, int type) {
    30      super(source);
    31      this.type = type;
    32    }
    33
    34
    35    /**
    36     * Gets the type of the event.
    37     */
    38    public int getType() {
    39      return type;
    40    }
    41
    42    protected int type;
    43  }

| GateEvent |